﻿@using System.Web.UI.WebControls;
@using Portal.Models.Globals;

<table border = '0'>
    <tr>
        <td>
            <div class="rowWrap">
                <div class="selLabel00">
                Production Month
                </div>
                <div class="selent">
                 @Html.DevExpress().TextBox(
                    textBox =>
                    {
                        textBox.Properties.ClientInstanceName = "POProductionMonth";
                        textBox.Name = "POProductionMonth";
                        textBox.ControlStyle.CssClass = "mtz-monthpicker-widgetcontainer";
                        textBox.Width = Unit.Pixel(110);
                        //textBox.Properties.ClientSideEvents.TextChanged = "OnFHProductionMonthTextTextChanged";
                    }).GetHtml()
                </div>
                <div class="selLabel0">
                PO Released Date from
                </div>
                <div class="selDatum">
                    @Html.DevExpress().DateEdit(
                    Settings =>
                    {
                        Settings.Name = "PODateFrom";
                        Settings.Width = Unit.Percentage(99);
                        Settings.Height = 25;
                        Settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        Settings.Properties.EditFormatString = "dd.MM.yyyy";

                    }).GetHtml()
                </div>
                <div class="selLabel01">
                    To
                </div>
                <div class="selDatum">
                    @Html.DevExpress().DateEdit(
                    Settings =>
                    {
                        Settings.Name = "PODateTo";
                        Settings.Width = Unit.Percentage(99);
                        Settings.Height = 25;
                        Settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                        Settings.Properties.EditFormatString = "dd.MM.yyyy";

                    }).GetHtml()
                </div>
                <div class="selLabel01">
                Supplier
                </div>
                <div class="selent">
                 @Html.Common().DevExpress().GridLookup(
                    gridLookup =>
                    {
                        gridLookup.Name = "GridLKSupplier";
                        gridLookup.Width = 108;
                        gridLookup.GridProperties.KeyFieldName = "SUPP_CD";
                        gridLookup.GridProperties.CallbackRouteValues = new { Controller = "PODownload", Action = "SupplierPartial" };
                        gridLookup.ReadOnly = true;
                        if (Model.GetModel<List<SupplierICS>>().Count == 1)
                        {
                            gridLookup.Text = Model.GetModel<List<SupplierICS>>()[0].SUPP_CD;
                        }

                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "SupplierCodePlant";
                            column.FieldName = "SUPP_CD";
                            column.Caption = "Supplier<br /> Code";
                            column.Width = Unit.Pixel(80);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });

                        gridLookup.GridProperties.Columns.Add(column =>
                        {
                            column.Name = "SUPPLIER_NAME";
                            column.FieldName = "SUPP_NAME";
                            column.Caption = "Supplier<br />Name";
                            column.Width = Unit.Pixel(500);
                            column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                    }).Bind(Model.GetModel<List<SupplierICS>>()).GetHtml()
                </div>
            </div>
        </td>
    </tr>
    <tr>
        <td align='right' style='padding-top:7px;'>
        <div style='display:inline-block;'>
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnSearch";
                settings.Text = "Search";
                settings.Width = 80;
                settings.ClientSideEvents.Click = "function(s,e) {  PODownloadGrid.PerformCallback(); }";
            }).GetHtml()
       </div>
       <div style='display:inline-block;'>
            @Html.DevExpress().Button(
            settings =>
            {
                settings.Name = "btnClear";
                settings.Text = "Clear";
                settings.Width = 80;
                //settings.RouteValues = new { Controller = "PCDownload", Action = "Index" };
                settings.ClientSideEvents.Click = "OnClearButtonClick"; 
           }).GetHtml()
        </div>
        </td>
    </tr>
</table>
